# Get list of used items on a work order **GET /eTech/rest/ws/fieldService/v1/workOrders/code:{workOrderCode}/items/used** Returns a paginated list of used items (consumed parts, labour, on-the-fly items) declared on the specified work order, sorted by lastUpdate descending. Pair with the Praxedo webhook for near-real-time invoicing or stock synchronisation. Rate limit range : High ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **workOrderCode** (string) Business code of the work order. Case insensitive. ### Query parameters - **continuationToken** (string) The continuation token which was received in the previous request. It contains information on the page to fetch. If not present, then the first page of results will be returned. - **pageSize** (integer) Maximum number of items returned per page. Hard limit 200. - **invoiceMode** (string) Filter items by billing ownership. - `external` - items charged to an external party (customer-facing invoice). - `internal` - items consumed internally (sub-contractor or internal cost). - `all` - no filter, returns all items regardless of invoice mode (default). ## Responses ### 200 OK - Paginated list of used items on the work order. #### Body: application/json (object) - **continuationToken** (string | null) Opaque token. Pass on next request. null means last page. Do not parse or construct. - **data** (array[object]) ### 400 Bad Request - validation error or invalid continuation token. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 404 Not Found - Work order not found or outside caller's org unit. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)